Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_DTD_Manager Class Reference

@ class ACEXML_DTD_Manager DTD_Manager.h "common/DTD_Manager.h". More...

`#include <DTD_Manager.h>`

Inheritance diagram for ACEXML_DTD_Manager:

[legend]
List of all members.

## Public Methods
virtual | ~ACEXML_DTD_Manager ()=0
virtual ACEXML_Element_Def_Builder * | getElement_Def_Builder ()=0
| Acquire a pointer to an element definition builder. More...
virtual int | insertElement_Definition (ACEXML_Element_Def_Builder *def, ACEXML_Env &xmlenv)=0
| Insert a new element definition into the DTD Manager. More...
virtual ACEXML_Attributes_Def_Builder * | getAttribute_Def_Builder ()=0
| Acquire a pointer to an attributes definition builder. More...
virtual int | insertAttributes_Definition (ACEXML_Attributes_Def_Builder *def, ACEXML_Env &xmlenv)=0
| Insert a new attributes definition into the DTD Manager. More...
virtual ACEXML_Validator * | getValidator (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Env &xmlenv)=0
| Acquire an element validator to validate an XML element. More...

## Detailed Description

@ class ACEXML_DTD_Manager DTD_Manager.h "common/DTD_Manager.h".

@ todo Fill in the blank.

## Constructor & Destructor Documentation

ACEXML_DTD_Manager::~ACEXML_DTD_Manager | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual ACEXML_Attributes_Def_Builder* ACEXML_DTD_Manager::getAttribute_Def_Builder | ( |  | ) | `[pure virtual]`

| Acquire a pointer to an attributes definition builder. Reimplemented in ACEXML_Debug_DTD_Manager.

virtual ACEXML_Element_Def_Builder* ACEXML_DTD_Manager::getElement_Def_Builder | ( |  | ) | `[pure virtual]`

  | Acquire a pointer to an element definition builder. The XML parser use this interface to acquire the definition builder and use the builder to create the DTD element definition. The resulting builder is then registered with the DTD Manager or destroyed if error occured when the builder encountered errors. Return values:
  0 | if error occurs creating the builder.
Reimplemented in ACEXML_Debug_DTD_Manager.

virtual ACEXML_Validator* ACEXML_DTD_Manager::getValidator | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Acquire an element validator to validate an XML element. Todo: I haven't figured out what memory management scheme we should use for the acquired validator. Reimplemented in ACEXML_Debug_DTD_Manager.

virtual int ACEXML_DTD_Manager::insertAttributes_Definition | ( | ACEXML_Attributes_Def_Builder * | def,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

  | Insert a new attributes definition into the DTD Manager. Return values:
  0 | if success, -1 otherwise.
Reimplemented in ACEXML_Debug_DTD_Manager.

virtual int ACEXML_DTD_Manager::insertElement_Definition | ( | ACEXML_Element_Def_Builder * | def,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

  | Insert a new element definition into the DTD Manager. Return values:
  0 | if success, -1 if error.
Reimplemented in ACEXML_Debug_DTD_Manager.

The documentation for this class was generated from the following files:

- DTD_Manager.h
- DTD_Manager.cpp